#
# spec file for package python-junitxml
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-junitxml
Version:        0.7
Release:        5.4
Summary:        A pyunit extension to output JUnit compatible XML
License:        LGPL-3.0-or-later
URL:            https://launchpad.net/pyjunitxml
Source:         https://files.pythonhosted.org/packages/source/j/junitxml/junitxml-%{version}.tar.gz
# tests are failing
Patch0:         junitxml-tests.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  %{python_module xml}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
%python_subpackages

%description
A Python unittest TestResult that outputs JUnit compatible XML.

%prep
%autosetup -p1 -n junitxml-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%python_clone -a %{buildroot}%{_bindir}/pyjunitxml

%post
%python_install_alternative pyjunitxml

%postun
%python_uninstall_alternative pyjunitxml

%check
%python_exec -m unittest discover

%files %{python_files}
%license COPYING
%doc README
%python_alternative %{_bindir}/pyjunitxml
%{python_sitelib}/junitxml
%{python_sitelib}/junitxml-%{version}.dist-info

%changelog
* Thu Feb 29 2024 Steve Kowalik <steven.kowalik@suse.com>
- Switch to autosetup and pyproject macros.
- No more greedy globs in %%files.
- Add update-alternatives Requires.
- Clean up some Python 2 leftovers.
* Tue Jan 11 2022 Dirk Müller <dmueller@suse.com>
- add python-rpm-macros dependency
* Mon Nov  8 2021 Dirk Müller <dmueller@suse.com>
- add xml dependencies
* Tue Jun  9 2020 Marketa Calabkova <mcalabkova@suse.com>
- replace nose
* Wed Oct 31 2018 Tomáš Chvátal <tchvatal@suse.com>
- Fix download url
- Make tests pass junitxml-tests.patch
* Wed Oct 24 2018 Dirk Mueller <dmueller@suse.com>
- switch to singlespec
* Fri Nov 30 2012 toddrme2178@gmail.com
- Add missing executable
* Fri Nov 23 2012 saschpe@suse.de
- Update to version 0.7:
  + Added a .testr.conf file for running tests with testrepository.
  + Change from skip to skipped to fit the 'standard' better.
  + There is now a runner compatible with the unittest2 command line options, for
    easy 'just give me XML' usage.
* Mon Mar 26 2012 saschpe@suse.de
- Initial version
